Subject: bug#57583: Guix cannot resume after hibernation

From: Yusuf Talha <[email-masked]>
Date: Sun, 4 Sep 2022 18:37:42 +0200 (CEST)

Hello.  I'm using Guix System on my Librebooted Thinkpad X200 laptop.  Suspending to RAM works perfectly.  The problem is, when I run "loginctl hibernate" it writes to the swap partition and powers off successfully.  But when I try to boot up and resume from swap, it just ignores it and starts up like it wasn't hibernated before.  And also I have to run "sudo swapon /dev/mapper/matrix-swapvol" to re-enable my swap partition.  swapon says:
"swapon: /dev/mapper/matrix-swapvol: software suspend data detected. Rewriting the swap signature."

I have added "resume=/dev/mapper/matrix-swapvol" to the kernel-arguments list in config.scm.
In addition to that, I see these messages on the dmesg log (I have no idea what they mean):

[    0.068782] PM: hibernation: Registered nosave memory: [mem 0x00000000-0x00000fff]
[    0.068788] PM: hibernation: Registered nosave memory: [mem 0x000a0000-0x000fffff]
[    0.068791] PM: hibernation: Registered nosave memory: [mem 0x7d74a000-0x7d7fffff]
[    0.068794] PM: hibernation: Registered nosave memory: [mem 0x7d800000-0x93ffffff]
[    0.068796] PM: hibernation: Registered nosave memory: [mem 0x94000000-0xefffffff]
[    0.068798] PM: hibernation: Registered nosave memory: [mem 0xf0000000-0xf3ffffff]
[    0.068800] PM: hibernation: Registered nosave memory: [mem 0xf4000000-0xffffffff]
I haven't encountered this problem on any other distros.  You probably realized that I encrypted my disk.  Hibernation wasn't working while I was using Guix without encryption a few months ago either.  So I don't think LUKS is the problem here.

I would be glad if you can help me with that.  Thanks in advance.